<?php
session_start();
if (!isset($_SESSION['id']) || $_SESSION['type'] !== 'admin') {
    header("Location: login.php");
    exit();
}
include 'config.php';

$documents = $conn->query("SELECT d.id, u.nom, d.document_nom, d.document_type, d.document_path, d.statut 
    FROM documents_verification d JOIN utilisateurs u ON d.prestataire_id = u.id WHERE d.statut = 'en attente'");

if ($_SERVER["REQUEST_METHOD"] == "POST" && isset($_POST["action"])) {
    $doc_id = $_POST["doc_id"];
    $new_status = ($_POST["action"] == "valider") ? "validé" : "rejeté";

    $conn->query("UPDATE documents_verification SET statut = '$new_status' WHERE id = $doc_id");

    if ($new_status == "validé") {
        $prestataire_id = $_POST["prestataire_id"];
        $conn->query("UPDATE utilisateurs SET badge_verifie = TRUE WHERE id = $prestataire_id");
    }

    header("Location: admin_verifications.php");
    exit();
}

$conn->close();
?>

<!DOCTYPE html>
<html lang="fr">
<head>
    <title>Admin - Vérification des documents</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
</head>
<body class="container mt-5">
    <h2>Vérification des documents</h2>

    <?php while ($row = $documents->fetch_assoc()) { ?>
        <div class="card p-3 mb-3">
            <h5><?= $row['nom']; ?> a soumis un document</h5>
            <p><b>Nom :</b> <?= $row['document_nom']; ?></p>
            <p><b>Type :</b> <?= $row['document_type']; ?></p>
            <a href="<?= $row['document_path']; ?>" target="_blank" class="btn btn-link">📂 Voir le document</a>
            <form method="post" class="d-inline">
                <input type="hidden" name="doc_id" value="<?= $row['id']; ?>">
                <input type="hidden" name="prestataire_id" value="<?= $row['id']; ?>">
                <button type="submit" name="action" value="valider" class="btn btn-success">Valider ✅</button>
                <button type="submit" name="action" value="rejeter" class="btn btn-danger">Rejeter ❌</button>
            </form>
        </div>
    <?php } ?>
</body>
</html>
