<?php
session_start();
if (!isset($_SESSION['id']) || $_SESSION['type'] !== 'prestataire') {
    header("Location: login.php");
    exit();
}

include 'config.php';
include 'header.php';
include 'sidebar.php';

$prestataire_id = $_SESSION['id'];

if ($_SERVER["REQUEST_METHOD"] == "POST") {
    $nom_service = $_POST['nom_service'];
    $description = $_POST['description'];
    $prix = $_POST['prix'];
    $lieu = $_POST['lieu'];

    $stmt = $conn->prepare("INSERT INTO services (prestataire_id, nom_service, description, prix, lieu) VALUES (?, ?, ?, ?, ?)");
    $stmt->bind_param("issds", $prestataire_id, $nom_service, $description, $prix, $lieu);

    if ($stmt->execute()) {
        $message = "<div class='alert alert-success'>Service ajouté avec succès.</div>";
    } else {
        $message = "<div class='alert alert-danger'>Erreur lors de l'ajout du service.</div>";
    }
    $stmt->close();
}
?>

<div class="container mt-4">
    <h2 class="text-center">📌 Publier un Nouveau Service</h2>
    <?= $message ?? '' ?>
    <div class="card p-4">
        <form method="post">
            <label class="form-label">Nom du Service :</label>
            <input type="text" name="nom_service" class="form-control" required>

            <label class="form-label mt-2">Description :</label>
            <textarea name="description" class="form-control" required></textarea>

            <label class="form-label mt-2">Prix (€) :</label>
            <input type="number" step="0.01" name="prix" class="form-control" required>

            <label class="form-label mt-2">Lieu :</label>
            <input type="text" name="lieu" class="form-control" required>

            <button type="submit" class="btn btn-primary w-100 mt-3">Ajouter le Service</button>
        </form>
    </div>
</div>

<?php include 'footer.php'; ?>
