<?php
// ✅ fichier: check_notifications.php
session_start();
include 'config.php';

if (!isset($_SESSION['id'])) {
    echo json_encode(['messages' => 0, 'reservations' => 0]);
    exit();
}

$user_id = $_SESSION['id'];
$type = $_SESSION['type'];

$response = [
    'messages' => 0,
    'reservations' => 0
];

// 🔔 Vérification messages non lus
if ($type === 'prestataire') {
    $sql_messages = "
        SELECT COUNT(*) AS unread FROM messages m
        JOIN reservations r ON m.reservation_id = r.id
        JOIN services s ON r.service_id = s.id
        WHERE s.prestataire_id = ? AND m.expediteur_id != ? AND m.lu IS NULL
    ";
} else {
    $sql_messages = "
        SELECT COUNT(*) AS unread FROM messages m
        JOIN reservations r ON m.reservation_id = r.id
        WHERE r.client_id = ? AND m.expediteur_id != ? AND m.lu IS NULL
    ";
}
$stmt = $conn->prepare($sql_messages);
$stmt->bind_param("ii", $user_id, $user_id);
$stmt->execute();
$result = $stmt->get_result()->fetch_assoc();
$response['messages'] = $result['unread'] ?? 0;
$stmt->close();

// 🔔 Vérification nouvelles réservations (si prestataire uniquement)
if ($type === 'prestataire') {
    $sql_reservations = "
        SELECT COUNT(*) AS nouvelles FROM reservations r
        JOIN services s ON r.service_id = s.id
        WHERE s.prestataire_id = ? AND r.statut = 'en attente'
    ";
    $stmt = $conn->prepare($sql_reservations);
    $stmt->bind_param("i", $user_id);
    $stmt->execute();
    $result = $stmt->get_result()->fetch_assoc();
    $response['reservations'] = $result['nouvelles'] ?? 0;
    $stmt->close();
}

$conn->close();
echo json_encode($response);
