<?php
session_start();
if (!isset($_SESSION['id']) || $_SESSION['type'] !== 'prestataire') {
    header("Location: login.php");
    exit();
}

include 'config.php';
include 'header.php';
include 'sidebar.php';

$prestataire_id = $_SESSION['id'];

// 🔍 Récupération des statistiques
$services_count = $conn->query("SELECT COUNT(*) AS count FROM services WHERE prestataire_id = $prestataire_id")->fetch_assoc()['count'];

$reservations_count = $conn->query("
    SELECT COUNT(*) AS count 
    FROM reservations 
    WHERE service_id IN (SELECT id FROM services WHERE prestataire_id = $prestataire_id)
")->fetch_assoc()['count'];

$total_collected_result = $conn->query("
    SELECT SUM(s.prix) AS total 
    FROM reservations r 
    JOIN services s ON r.service_id = s.id 
    WHERE s.prestataire_id = $prestataire_id
");
$total_collected = $total_collected_result->fetch_assoc()['total'] ?? 0; // Évite NULL

$clients_count = $conn->query("
    SELECT COUNT(DISTINCT client_id) AS count 
    FROM reservations 
    WHERE service_id IN (SELECT id FROM services WHERE prestataire_id = $prestataire_id)
")->fetch_assoc()['count'];
?>

<div class="container-fluid mt-4">
    <h2 class="text-center text-primary fw-bold">Bienvenue, <?= htmlspecialchars($_SESSION['nom']); ?> 👋</h2>
    
    <!-- Statistiques -->
    <div class="row mt-4">
        <div class="col-md-3">
            <div class="card p-3 text-center shadow-lg border-0">
                <h5 class="text-secondary">📌 Services publiés</h5>
                <p class="display-6 fw-bold text-dark"><?= $services_count; ?></p>
            </div>
        </div>
        <div class="col-md-3">
            <div class="card p-3 text-center shadow-lg border-0">
                <h5 class="text-secondary">📅 Réservations</h5>
                <p class="display-6 fw-bold text-dark"><?= $reservations_count; ?></p>
            </div>
        </div>
        <div class="col-md-3">
            <div class="card p-3 text-center shadow-lg border-0">
                <h5 class="text-secondary">💰 Total Collecté</h5>
                <p class="display-6 fw-bold text-success"><?= number_format($total_collected, 2, ',', ' '); ?> €</p>
            </div>
        </div>
        <div class="col-md-3">
            <div class="card p-3 text-center shadow-lg border-0">
                <h5 class="text-secondary">👥 Clients uniques</h5>
                <p class="display-6 fw-bold text-dark"><?= $clients_count; ?></p>
            </div>
        </div>
    </div>
</div>

<?php include 'footer.php'; ?>
