<?php
session_start();
require_once __DIR__ . '/vendor/autoload.php';
include 'config.php';

$fb = new \Facebook\Facebook([
    'app_id' => '1882170775886766',
    'app_secret' => '33a6ac6dacf45643e178f1559865b8bd',
    'default_graph_version' => 'v19.0',
]);

$helper = $fb->getRedirectLoginHelper();

try {
    $accessToken = $helper->getAccessToken();
} catch (Facebook\Exceptions\FacebookResponseException $e) {
    echo 'Erreur Graph : ' . $e->getMessage();
    exit;
} catch (Facebook\Exceptions\FacebookSDKException $e) {
    echo 'Erreur SDK : ' . $e->getMessage();
    exit;
}

if (!isset($accessToken)) {
    header('Location: login.php');
    exit;
}

try {
    $response = $fb->get('/me?fields=id,name,email,picture.type(large)', $accessToken);
    $fbUser = $response->getGraphUser();

    $email = $fbUser->getEmail();
    $name = $fbUser->getName();
    $photo = $fbUser['picture']['url'];

    if (!$email) {
        echo "Impossible de récupérer l'email depuis Facebook.";
        exit;
    }

    // Vérifier si l'utilisateur existe déjà
    $stmt = $conn->prepare("SELECT id, type, statut FROM utilisateurs WHERE email = ?");
    $stmt->bind_param("s", $email);
    $stmt->execute();
    $stmt->store_result();

    if ($stmt->num_rows > 0) {
        // Utilisateur existant
        $stmt->bind_result($id, $type, $statut);
        $stmt->fetch();

        if ($statut === 'actif' || $type === 'admin') {
            $_SESSION['id'] = $id;
            $_SESSION['nom'] = $name;
            $_SESSION['type'] = $type;

            $dashboard = [
                'client' => 'dashboard_client.php',
                'prestataire' => 'dashboard_prestataire.php',
                'admin' => 'dashboard_admin.php'
            ];
            header("Location: " . $dashboard[$type]);
            exit;
        } else {
            echo "Votre compte existe mais n'est pas encore activé.";
            exit;
        }

    } else {
        // Nouvel utilisateur
        $default_type = 'client';
        $default_statut = 'actif';

        $stmt = $conn->prepare("INSERT INTO utilisateurs (nom, email, photo, type, statut) VALUES (?, ?, ?, ?, ?)");
        $stmt->bind_param("sssss", $name, $email, $photo, $default_type, $default_statut);
        $stmt->execute();

        $user_id = $stmt->insert_id;
        $_SESSION['id'] = $user_id;
        $_SESSION['nom'] = $name;
        $_SESSION['type'] = $default_type;

        header("Location: dashboard_client.php");
        exit;
    }

} catch (Facebook\Exceptions\FacebookResponseException $e) {
    echo 'Erreur API : ' . $e->getMessage();
    exit;
} catch (Facebook\Exceptions\FacebookSDKException $e) {
    echo 'Erreur SDK : ' . $e->getMessage();
    exit;
}
