<?php
session_start();
include 'config.php';

$prestataire_id = $_SESSION['id'];

$query = "SELECT id, date_debut, date_fin FROM disponibilites WHERE prestataire_id = ?";
$stmt = $conn->prepare($query);
$stmt->bind_param("i", $prestataire_id);
$stmt->execute();
$result = $stmt->get_result();

$events = [];
while ($row = $result->fetch_assoc()) {
    $events[] = [
        "id" => $row['id'],
        "title" => "Disponible",
        "start" => date("Y-m-d\TH:i:s", strtotime($row['date_debut'])), // Correction format date ISO
        "end" => date("Y-m-d\TH:i:s", strtotime($row['date_fin'])), // Correction format date ISO
        "color" => "#28a745"
    ];
}

$stmt->close();
$conn->close();

header('Content-Type: application/json');
echo json_encode($events);
?>
