<?php
session_start();
require_once 'google_config.php';
require_once 'config.php';

if (isset($_GET['code'])) {
    $token = $client->fetchAccessTokenWithAuthCode($_GET['code']);

    if (!isset($token["error"])) {
        $client->setAccessToken($token['access_token']);

        $oauth = new Google_Service_Oauth2($client);
        $user_info = $oauth->userinfo->get();

        $email = $user_info->email;
        $nom = $user_info->name;

        // Vérifie si l'utilisateur existe
        $stmt = $conn->prepare("SELECT id, type FROM utilisateurs WHERE email = ?");
        $stmt->bind_param("s", $email);
        $stmt->execute();
        $stmt->store_result();

        if ($stmt->num_rows > 0) {
            $stmt->bind_result($user_id, $user_type);
            $stmt->fetch();
        } else {
            // Nouvel utilisateur → création comme client
            $user_type = 'client';
            $stmt_insert = $conn->prepare("INSERT INTO utilisateurs (nom, email, type, statut) VALUES (?, ?, 'client', 'actif')");
            $stmt_insert->bind_param("ss", $nom, $email);
            $stmt_insert->execute();
            $user_id = $stmt_insert->insert_id;
            $stmt_insert->close();
        }
        $stmt->close();

        // Authentifie la session
        $_SESSION['id'] = $user_id;
        $_SESSION['nom'] = $nom;
        $_SESSION['type'] = $user_type;

        // Redirection
        if ($user_type === 'client') {
            header("Location: dashboard_client.php");
        } else {
            header("Location: dashboard_prestataire.php");
        }
        exit();
    } else {
        echo "Erreur OAuth : " . $token["error_description"];
    }
} else {
    echo "Aucun code OAuth reçu.";
}
