<?php
if (session_status() === PHP_SESSION_NONE) {
    session_start();
}

// ✅ Inclure la connexion DB
include_once 'config.php'; // ← ajouter cette ligne

// Vérifie si l'utilisateur est connecté
if (!isset($_SESSION['id'])) {
    header("Location: login.php");
    exit();
}

$user_type = $_SESSION['type']; // "prestataire" ou "client"
$user_id = $_SESSION['id'];

// ✅ Requête pour badge messages non lus
$total_non_lus = 0;
$sql_non_lus = $conn->prepare("SELECT COUNT(*) AS total FROM messages WHERE destinataire_id = ? AND lu = 0");
$sql_non_lus->bind_param("i", $user_id);
$sql_non_lus->execute();
$result_non_lus = $sql_non_lus->get_result();
if ($row_non_lus = $result_non_lus->fetch_assoc()) {
    $total_non_lus = $row_non_lus['total'];
}
$sql_non_lus->close();
?>


<!DOCTYPE html>
<html lang="fr">
<head>
    <meta charset="UTF-8">
    <title>ProBooker</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
    <link rel="stylesheet" href="global.css"> <!-- ✅ Utilisation du CSS global -->
    <script src="https://kit.fontawesome.com/a076d05399.js" crossorigin="anonymous"></script>
</head>
<body>

<nav class="navbar navbar-expand-lg navbar-light bg-white shadow-sm">
    <div class="container-fluid">
        <a class="navbar-brand fw-bold text-primary" href="<?= ($user_type === 'prestataire') ? 'dashboard_prestataire.php' : 'dashboard_client.php'; ?>">
            ProBooker
        </a>

        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav">
            <span class="navbar-toggler-icon"></span>
        </button>

        <div class="collapse navbar-collapse" id="navbarNav">
            <ul class="navbar-nav ms-auto">
                <?php if ($user_type === 'prestataire'): ?>
                    <li class="nav-item">
                        <a class="nav-link" href="view_profile.php"><i class="fas fa-user"></i> Mon Profil</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="mes_services.php"><i class="fas fa-briefcase"></i> Mes Services</a>
                    </li>
                <?php else: ?>
                    <li class="nav-item">
                        <a class="nav-link" href="liste_services.php"><i class="fas fa-th-list"></i> Explorer les Services</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="prestataires.php"><i class="fas fa-users"></i> Trouver un Prestataire</a>
                    </li>
                <?php endif; ?>
                
                <li class="nav-item">
                    <a class="nav-link text-danger fw-bold" href="logout.php">
                        <i class="fas fa-sign-out-alt"></i> Déconnexion
                    </a>
                </li>
            </ul>
        </div>
    </div>
</nav>
