<?php
include 'config.php';

// Récupération des stats
$stats = [
    'prestataires' => 0,
    'clients' => 0,
    'services' => 0,
    'reservations' => 0
];

$result = $conn->query("SELECT COUNT(*) AS total FROM utilisateurs WHERE type = 'prestataire'");
$stats['prestataires'] = $result->fetch_assoc()['total'];

$result = $conn->query("SELECT COUNT(*) AS total FROM utilisateurs WHERE type = 'client'");
$stats['clients'] = $result->fetch_assoc()['total'];

$result = $conn->query("SELECT COUNT(*) AS total FROM services");
$stats['services'] = $result->fetch_assoc()['total'];

$result = $conn->query("SELECT COUNT(*) AS total FROM reservations");
$stats['reservations'] = $result->fetch_assoc()['total'];

$conn->close();
?>
<!DOCTYPE html>
<html lang="fr">
<head>
  <meta charset="UTF-8">
  <title>ProBooker | Plateforme de mise en relation</title>
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
  <link href="styles.css" rel="stylesheet">
  <link href="https://unpkg.com/aos@2.3.1/dist/aos.css" rel="stylesheet">


  <style>
    .hero {
        background: linear-gradient(to right, #764ba2, #667eea);
        color: white;
        padding: 100px 20px;
        text-align: center;
        position: relative;
    }
    .stats-box {
        background-color: #fff;
        border-radius: 10px;
        padding: 30px;
        box-shadow: 0 4px 20px rgba(0,0,0,0.1);
        text-align: center;
        transition: transform 0.3s;
        border-bottom: 4px solid #764ba2;
    }
    .stats-box:hover {
        transform: translateY(-5px);
    }
    .section {
        padding: 80px 20px;
    }
    .btn-inscription {
        background: #764ba2;
        border: none;
        font-weight: bold;
    }
    .btn-inscription:hover {
        background: #5a3c80;
    }
  </style>
</head>
<body>

<!-- Hero Section Améliorée -->
<section class="hero d-flex align-items-center text-white text-center" style="min-height: 90vh; background: linear-gradient(135deg, #764ba2, #667eea); position: relative; overflow: hidden;">
  <div class="container position-relative z-1" data-aos="fade-down">
    <h1 class="display-3 fw-bold mb-3" style="text-shadow: 2px 2px 6px rgba(0,0,0,0.3);">
      Trouvez le prestataire <span class="text-warning">idéal</span> pour vos besoins
    </h1>
    <p class="lead mb-4 fs-5" style="max-width: 650px; margin: auto;">
      Réservez <strong>facilement</strong>, échangez <strong>directement</strong>, gérez vos services en toute <strong>simplicité</strong>.
    </p>
    <a href="register.php" class="btn btn-warning btn-lg shadow px-5 py-2 fw-bold">
      🚀 Créer un compte
    </a>
  </div>

  <!-- SVG wave (fond décoratif bas) -->
  <svg class="position-absolute bottom-0 w-100" style="z-index: 0;" height="100" preserveAspectRatio="none" viewBox="0 0 1200 120" xmlns="http://www.w3.org/2000/svg">
    <path d="M0,0V46.29c47.39,22.26,103,37.87,173,39.65,105,2.72,196-27.79,293-39.57C574,29.34,676.06,42.93,767,61.69c86.9,18,175.85,39.72,262,18V0Z" opacity=".25" fill="#fff"></path>
    <path d="M0,0V15.81c47.39,22.26,103,47.23,173,52.65,105,8.13,196-18.4,293-30.18C574,26.34,676.06,39.93,767,58.69c86.9,18,175.85,36.72,262,15V0Z" opacity=".5" fill="#fff"></path>
    <path d="M0,0V5.81c47.39,22.26,103,57.23,173,62.65,105,13.13,196-8.4,293-20.18C574,16.34,676.06,29.93,767,48.69c86.9,18,175.85,33.72,262,12V0Z" fill="#fff"></path>
  </svg>
</section>


<!-- Pourquoi choisir ProBooker -->
<section id="why" class="py-5 bg-light">
  <div class="container">
    <h2 class="text-center text-primary fw-bold mb-4" data-aos="fade-up">🚀 Pourquoi choisir <span class="text-gradient">ProBooker</span> ?</h2>
    
    <div class="row g-4">
      <div class="col-md-4" data-aos="zoom-in" data-aos-delay="100">
        <div class="card h-100 text-center shadow-sm p-4 border-0">
          <div class="mb-3">
            <i class="fas fa-bolt fa-2x text-warning"></i>
          </div>
          <h5 class="fw-bold">Réservation Instantanée</h5>
          <p class="text-muted">Réservez un service en quelques clics, sans perte de temps.</p>
        </div>
      </div>

      <div class="col-md-4" data-aos="zoom-in" data-aos-delay="200">
        <div class="card h-100 text-center shadow-sm p-4 border-0">
          <div class="mb-3">
            <i class="fas fa-user-shield fa-2x text-success"></i>
          </div>
          <h5 class="fw-bold">Prestataires Vérifiés</h5>
          <p class="text-muted">Nos professionnels sont contrôlés et validés pour garantir la qualité.</p>
        </div>
      </div>

      <div class="col-md-4" data-aos="zoom-in" data-aos-delay="300">
        <div class="card h-100 text-center shadow-sm p-4 border-0">
          <div class="mb-3">
            <i class="fas fa-comments fa-2x text-info"></i>
          </div>
          <h5 class="fw-bold">Messagerie Intégrée</h5>
          <p class="text-muted">Discutez et négociez facilement avec le prestataire avant validation.</p>
        </div>
      </div>

      <div class="col-md-4" data-aos="zoom-in" data-aos-delay="400">
        <div class="card h-100 text-center shadow-sm p-4 border-0">
          <div class="mb-3">
            <i class="fas fa-chart-line fa-2x text-danger"></i>
          </div>
          <h5 class="fw-bold">Suivi de vos Réservations</h5>
          <p class="text-muted">Visualisez l’état et l’historique de toutes vos demandes en un clic.</p>
        </div>
      </div>

      <div class="col-md-4" data-aos="zoom-in" data-aos-delay="500">
        <div class="card h-100 text-center shadow-sm p-4 border-0">
          <div class="mb-3">
            <i class="fas fa-star fa-2x text-primary"></i>
          </div>
          <h5 class="fw-bold">Avis & Notations</h5>
          <p class="text-muted">Donnez votre avis et aidez les autres à choisir les meilleurs pros.</p>
        </div>
      </div>

      <div class="col-md-4" data-aos="zoom-in" data-aos-delay="600">
        <div class="card h-100 text-center shadow-sm p-4 border-0">
          <div class="mb-3">
            <i class="fas fa-mobile-alt fa-2x text-secondary"></i>
          </div>
          <h5 class="fw-bold">100% Responsive</h5>
          <p class="text-muted">Accédez à la plateforme depuis votre mobile, tablette ou PC.</p>
        </div>
      </div>
    </div>
  </div>
</section>


<!-- Statistiques dynamiques -->
<section class="section">
  <div class="container">
    <h2 class="text-center mb-5" data-aos="fade-up">Notre communauté en chiffres</h2>
    <div class="row text-center g-4">
      <div class="col-md-3" data-aos="flip-left">
        <div class="stats-box">
          <h3 class="text-primary display-5 fw-bold"><?= $stats['prestataires'] ?></h3>
          <p class="text-muted">Prestataires</p>
        </div>
      </div>
      <div class="col-md-3" data-aos="flip-left" data-aos-delay="100">
        <div class="stats-box">
          <h3 class="text-primary display-5 fw-bold"><?= $stats['clients'] ?></h3>
          <p class="text-muted">Clients inscrits</p>
        </div>
      </div>
      <div class="col-md-3" data-aos="flip-left" data-aos-delay="200">
        <div class="stats-box">
          <h3 class="text-primary display-5 fw-bold"><?= $stats['services'] ?></h3>
          <p class="text-muted">Services publiés</p>
        </div>
      </div>
      <div class="col-md-3" data-aos="flip-left" data-aos-delay="300">
        <div class="stats-box">
          <h3 class="text-primary display-5 fw-bold"><?= $stats['reservations'] ?></h3>
          <p class="text-muted">Réservations</p>
        </div>
      </div>
    </div>
  </div>
</section>

<!-- Footer -->
<footer class="bg-dark text-white text-center py-4 mt-5">
    <p class="mb-0">&copy; <?= date("Y") ?> ProBooker. Tous droits réservés.</p>
</footer>

<script src="https://kit.fontawesome.com/a076d05399.js" crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script>
<script src="https://unpkg.com/aos@2.3.1/dist/aos.js"></script>
<script src="https://unpkg.com/aos@2.3.4/dist/aos.js"></script>
<script>
  AOS.init();
</script>

</body>
</html>
