<?php

include 'config.php';
include 'header.php';
include 'sidebar.php';

// Récupération des services avec infos du prestataire
$result = $conn->query("
    SELECT s.id, s.nom_service, s.description, s.prix, s.lieu, s.created_at, u.nom AS prestataire, u.id AS prestataire_id
    FROM services s
    JOIN utilisateurs u ON s.prestataire_id = u.id
    ORDER BY s.created_at DESC
");

?>

<div class="container mt-4">
    <h2 class="text-center mb-4">📌 Services Disponibles</h2>
    <div class="row">
        <?php while ($row = $result->fetch_assoc()): ?>
        <div class="col-md-4">
            <div class="card service-card shadow-sm mb-4" data-bs-toggle="modal" data-bs-target="#serviceModal" 
                 data-service-id="<?= $row['id']; ?>" data-nom="<?= $row['nom_service']; ?>"
                 data-description="<?= htmlspecialchars($row['description']); ?>"
                 data-prix="<?= number_format($row['prix'], 2, ',', ' ') . ' €'; ?>"
                 data-lieu="<?= $row['lieu']; ?>" data-prestataire="<?= $row['prestataire']; ?>"
                 data-date="<?= date('d/m/Y', strtotime($row['created_at'])); ?>">
                <div class="card-body">
                    <h5 class="card-title text-primary"><?= $row['nom_service']; ?></h5>
                    <p class="card-text"><i class="fas fa-map-marker-alt"></i> <?= $row['lieu']; ?></p>
                    <p class="card-text"><i class="fas fa-tag"></i> <b><?= number_format($row['prix'], 2, ',', ' '); ?> €</b></p>
                    <p class="card-text">👤 <a href="view_profile.php?id=<?= $row['prestataire_id']; ?>" class="text-decoration-none text-dark">
                        <?= $row['prestataire']; ?>
                    </a></p>
                </div>
            </div>
        </div>
        <?php endwhile; ?>
    </div>
</div>

<!-- Modal d'affichage des détails du service -->
<div class="modal fade" id="serviceModal" tabindex="-1" aria-labelledby="serviceModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header bg-primary text-white">
                <h5 class="modal-title" id="serviceModalLabel"></h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <p><b>📍 Lieu :</b> <span id="modalLieu"></span></p>
                <p><b>💰 Prix :</b> <span id="modalPrix"></span></p>
                <p><b>📝 Description :</b> <span id="modalDescription"></span></p>
                <p><b>👤 Prestataire :</b> <span id="modalPrestataire"></span></p>
                <p><b>📅 Ajouté le :</b> <span id="modalDate"></span></p>
            </div>
        </div>
    </div>
</div>

<script>
    document.addEventListener("DOMContentLoaded", function () {
        var serviceModal = document.getElementById("serviceModal");
        serviceModal.addEventListener("show.bs.modal", function (event) {
            var button = event.relatedTarget;
            document.getElementById("serviceModalLabel").textContent = button.getAttribute("data-nom");
            document.getElementById("modalLieu").textContent = button.getAttribute("data-lieu");
            document.getElementById("modalPrix").textContent = button.getAttribute("data-prix");
            document.getElementById("modalDescription").textContent = button.getAttribute("data-description");
            document.getElementById("modalPrestataire").textContent = button.getAttribute("data-prestataire");
            document.getElementById("modalDate").textContent = button.getAttribute("data-date");
        });
    });
</script>

<?php include 'footer.php'; ?>
