<?php
session_start();
if (!isset($_SESSION['id']) || $_SESSION['type'] !== 'prestataire') {
    header("Location: login.php");
    exit();
}

include 'config.php';
include 'header.php';
include 'sidebar.php';

$prestataire_id = $_SESSION['id'];

// Suppression d'un service
if (isset($_POST['delete_service'])) {
    $service_id = $_POST['service_id'];
    $stmt = $conn->prepare("DELETE FROM services WHERE id = ? AND prestataire_id = ?");
    $stmt->bind_param("ii", $service_id, $prestataire_id);
    $stmt->execute();
    $stmt->close();
}

// Récupération des services
$services = $conn->query("SELECT * FROM services WHERE prestataire_id = $prestataire_id ORDER BY created_at DESC");
?>

<div class="container mt-4">
    <h2 class="text-center">📌 Mes Services Publiés</h2>

    <div class="row">
        <?php while ($service = $services->fetch_assoc()): ?>
            <div class="col-md-4">
                <div class="card p-3 shadow">
                    <h5><?= htmlspecialchars($service['nom_service']); ?></h5>
                    <p><?= nl2br(htmlspecialchars($service['description'])); ?></p>
                    <p><b>Prix :</b> <?= number_format($service['prix'], 2, ',', ' '); ?> €</p>
                    <p><b>Lieu :</b> <?= htmlspecialchars($service['lieu']); ?></p>
                    <p><b>Publié le :</b> <?= date("d/m/Y", strtotime($service['created_at'])); ?></p>

                    <div class="d-flex justify-content-between">
                        <a href="modifier_service.php?id=<?= $service['id']; ?>" class="btn btn-warning">✏ Modifier</a>
                        <form method="post">
                            <input type="hidden" name="service_id" value="<?= $service['id']; ?>">
                            <button type="submit" name="delete_service" class="btn btn-danger">🗑 Supprimer</button>
                        </form>
                    </div>
                </div>
            </div>
        <?php endwhile; ?>
    </div>
</div>

<?php include 'footer.php'; ?>
