<?php
session_start();
header('Content-Type: application/json');
include 'config.php';

$response = ['non_lus' => 0, 'reservations' => 0];

if (isset($_SESSION['id'])) {
    $user_id = $_SESSION['id'];

    // Messages non lus
    $stmt = $conn->prepare("SELECT COUNT(*) FROM messages WHERE destinataire_id = ? AND lu = 0");
    $stmt->bind_param("i", $user_id);
    $stmt->execute();
    $stmt->bind_result($response['non_lus']);
    $stmt->fetch();
    $stmt->close();

    // Réservations en attente (prestataire uniquement)
    if ($_SESSION['type'] === 'prestataire') {
        $stmt = $conn->prepare("
            SELECT COUNT(*) 
            FROM reservations r
            JOIN services s ON r.service_id = s.id
            WHERE s.prestataire_id = ? AND r.statut = 'en attente'
        ");
        $stmt->bind_param("i", $user_id);
        $stmt->execute();
        $stmt->bind_result($response['reservations']);
        $stmt->fetch();
        $stmt->close();
    }
}

echo json_encode($response);
