<?php
session_start();
include 'config.php';

if (!isset($_SESSION['id']) || $_SESSION['type'] !== 'prestataire') {
    header("Location: login.php");
    exit();
}

include 'header.php';
include 'sidebar.php';

$prestataire_id = $_SESSION['id'];
$user_folder = "uploads/prestataires/" . $prestataire_id . "/";
if (!is_dir($user_folder)) mkdir($user_folder, 0777, true);

$result = $conn->query("SELECT nom, email, presentation, cv_path, cv_name, photo, specialite, pays, ville, telephone, site_web FROM utilisateurs WHERE id = $prestataire_id");
$user_data = $result->fetch_assoc();
extract($user_data);

// Mise à jour du profil
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    $presentation_text = $_POST['presentation'] ?? '';
$specialite_text = $_POST['specialite'] ?? '';
$pays_text = $_POST['pays'] ?? '';
$ville_text = $_POST['ville'] ?? '';
$telephone_text = $_POST['telephone'] ?? '';
$site_web_text = $_POST['site_web'] ?? '';


    $stmt = $conn->prepare("UPDATE utilisateurs SET presentation = ?, specialite = ?, pays = ?, ville = ?, telephone = ?, site_web = ? WHERE id = ?");
    $stmt->bind_param("ssssssi", $presentation_text, $specialite_text, $pays_text, $ville_text, $telephone_text, $site_web_text, $prestataire_id);
    $stmt->execute();
    $stmt->close();

    extract($_POST);
}

if (isset($_FILES["photo"]) && $_FILES["photo"]["error"] == 0) {
    $photo_name = time() . "_" . basename($_FILES["photo"]["name"]);
    $photo_path = $user_folder . $photo_name;
    move_uploaded_file($_FILES["photo"]["tmp_name"], $photo_path);
    $stmt = $conn->prepare("UPDATE utilisateurs SET photo = ? WHERE id = ?");
    $stmt->bind_param("si", $photo_path, $prestataire_id);
    $stmt->execute();
    $stmt->close();
    $photo = $photo_path;
}

if (isset($_FILES["cv"]) && $_FILES["cv"]["error"] == 0) {
    if ($cv_path) unlink($cv_path);
    $cv_name = time() . "_" . basename($_FILES["cv"]["name"]);
    $cv_target = $user_folder . $cv_name;
    move_uploaded_file($_FILES["cv"]["tmp_name"], $cv_target);
    $stmt = $conn->prepare("UPDATE utilisateurs SET cv_path = ?, cv_name = ? WHERE id = ?");
    $stmt->bind_param("ssi", $cv_target, $cv_name, $prestataire_id);
    $stmt->execute();
    $stmt->close();
    $cv_path = $cv_target;
}

if (isset($_POST['delete_cv']) && $cv_path) {
    unlink($cv_path);
    $conn->query("UPDATE utilisateurs SET cv_path = NULL, cv_name = NULL WHERE id = $prestataire_id");
    $cv_path = null;
}

// Ajout réalisation
if (isset($_POST['add_media'])) {
    $description = $_POST['description'];
    $type = $_POST['type'];
    $date_upload = date('Y-m-d H:i:s');

    if ($type === 'photo' || $type === 'video') {
        if (isset($_FILES['file']) && $_FILES['file']['error'] == 0) {
            $filename = time() . "_" . basename($_FILES["file"]["name"]);
            $filepath = $user_folder . $filename;
            move_uploaded_file($_FILES["file"]["tmp_name"], $filepath);
            $stmt = $conn->prepare("INSERT INTO realisations (prestataire_id, type, description, file_path, date_upload) VALUES (?, ?, ?, ?, ?)");
            $stmt->bind_param("issss", $prestataire_id, $type, $description, $filepath, $date_upload);
            $stmt->execute();
            $stmt->close();
        }
    } elseif ($type === 'video_url') {
        $video_url = $_POST['video_url'];
        $stmt = $conn->prepare("INSERT INTO realisations (prestataire_id, type, description, video_url, date_upload) VALUES (?, ?, ?, ?, ?)");
        $stmt->bind_param("issss", $prestataire_id, $type, $description, $video_url, $date_upload);
        $stmt->execute();
        $stmt->close();
    }
}

if (isset($_POST['delete_media'])) {
    $id = $_POST['delete_media'];
    $query = $conn->query("SELECT * FROM realisations WHERE id = $id AND prestataire_id = $prestataire_id");
    $media = $query->fetch_assoc();
    if ($media && $media['file_path'] && file_exists($media['file_path'])) unlink($media['file_path']);
    $conn->query("DELETE FROM realisations WHERE id = $id AND prestataire_id = $prestataire_id");
}
?>

<div class="container mt-4">
    <h2 class="text-center">Gérer Mon Profil</h2>
    <div class="row">
        <div class="col-md-4">
            <div class="card text-center shadow p-3 mb-4">
                <h3>📷 Photo de Profil</h3>
                <img src="<?= !empty($photo) ? $photo : 'uploads/default.jpg' ?>" class="profile-img img-thumbnail">
                <form action="profile.php" method="post" enctype="multipart/form-data">
                    <input type="file" name="photo" class="form-control mt-2">
                    <button type="submit" class="btn btn-primary mt-2">Mettre à jour</button>
                </form>
            </div>
            <div class="card shadow p-3">
                <h3>📞 Contact</h3>
                <p><b>Email :</b> <?= $email; ?></p>
                <p><b>Téléphone :</b> <?= $telephone; ?></p>
                <p><b>Site Web :</b> <a href="<?= $site_web; ?>" target="_blank">Visiter</a></p>
            </div>
        </div>

        <div class="col-md-8">
            <form action="profile.php" method="post">
                <div class="card shadow p-3 mb-4">
                    <h3>👤 Je me présente</h3>
                    <textarea id="presentation" name="presentation" class="form-control"><?= $presentation; ?></textarea>
                    <script> CKEDITOR.replace('presentation'); </script>
                    <button type="submit" class="btn btn-primary mt-3">Mettre à jour</button>
                </div>
                <div class="card shadow p-3">
                    <h3>💼 Informations Professionnelles</h3>
                    <input type="text" name="specialite" class="form-control mb-2" placeholder="Spécialité" value="<?= $specialite; ?>">
                    <input type="text" name="pays" class="form-control mb-2" placeholder="Pays" value="<?= $pays; ?>">
                    <input type="text" name="ville" class="form-control mb-2" placeholder="Ville" value="<?= $ville; ?>">
                    <input type="text" name="telephone" class="form-control mb-2" placeholder="Téléphone" value="<?= $telephone; ?>">
                    <input type="url" name="site_web" class="form-control mb-2" placeholder="Site web" value="<?= $site_web; ?>">
                    <button type="submit" class="btn btn-primary mt-3">Mettre à jour</button>
                </div>
            </form>
            <div class="card shadow p-3 mt-4">
                <h3>📄 Mon CV</h3>
                <?php if ($cv_path): ?>
                    <p><a href="<?= $cv_path ?>" target="_blank" class="btn btn-primary">📂 Voir mon CV</a></p>
                    <form method="post"><button type="submit" name="delete_cv" class="btn btn-danger">🗑 Supprimer CV</button></form>
                <?php else: ?>
                    <p class="text-muted">Aucun CV ajouté.</p>
                <?php endif; ?>
                <form action="profile.php" method="post" enctype="multipart/form-data">
                    <input type="file" name="cv" class="form-control">
                    <button type="submit" class="btn btn-primary mt-3">Mettre à jour</button>
                </form>
            </div>

            <div class="card shadow p-3 mt-4">
                <h3>🎨 Mes Réalisations</h3>
                <form action="profile.php" method="post" enctype="multipart/form-data" class="mb-4">
                    <input type="text" name="description" class="form-control mb-2" placeholder="Description" required>
                    <select name="type" class="form-control mb-2" id="mediaType" required>
                        <option value="photo">Photo</option>
                        <option value="video">Vidéo (fichier)</option>
                        <option value="video_url">Vidéo (YouTube/Vimeo)</option>
                    </select>
                    <input type="file" name="file" class="form-control mb-2" id="fileUpload">
                    <input type="url" name="video_url" class="form-control mb-2" id="urlUpload" placeholder="Lien vidéo" style="display:none;">
                    <button type="submit" name="add_media" class="btn btn-success w-100">Ajouter</button>
                </form>
                <div class="row">
                    <?php
                    $medias = $conn->query("SELECT * FROM realisations WHERE prestataire_id = $prestataire_id ORDER BY date_upload DESC");
                    while ($media = $medias->fetch_assoc()): ?>
                        <div class="col-md-6 mb-3">
                            <div class="card p-2">
                                <?php if ($media['type'] == 'photo'): ?>
                                    <img src="<?= $media['file_path']; ?>" class="img-fluid rounded">
                                <?php elseif ($media['type'] == 'video'): ?>
                                    <video controls class="w-100">
                                        <source src="<?= $media['file_path']; ?>" type="video/mp4">
                                    </video>
                                <?php elseif ($media['type'] == 'video_url'): ?>
                                    <iframe src="<?= $media['video_url']; ?>" width="100%" height="200" frameborder="0" allowfullscreen></iframe>
                                <?php endif; ?>
                                <p class="mt-2"><b><?= htmlspecialchars($media['description']) ?></b></p>
                                <form method="post">
                                    <input type="hidden" name="delete_media" value="<?= $media['id']; ?>">
                                    <button type="submit" class="btn btn-danger w-100">Supprimer</button>
                                </form>
                            </div>
                        </div>
                    <?php endwhile; ?>
                </div>
            </div>
        </div>
    </div>
</div>

<script>
    const mediaType = document.getElementById('mediaType');
    const fileUpload = document.getElementById('fileUpload');
    const urlUpload = document.getElementById('urlUpload');
    mediaType.addEventListener('change', () => {
        if (mediaType.value === 'video_url') {
            fileUpload.style.display = 'none';
            urlUpload.style.display = 'block';
        } else {
            fileUpload.style.display = 'block';
            urlUpload.style.display = 'none';
        }
    });
</script>

<?php include 'footer.php'; ?>