<?php
// update_badges.php
session_start();
include 'config.php';

header('Content-Type: application/json');

$response = [
    'messages_non_lus' => 0,
    'reservations_en_attente' => 0
];

if (isset($_SESSION['id'])) {
    $user_id = $_SESSION['id'];
    $type = $_SESSION['type'];

    // ✅ Messages non lus
    $stmt1 = $conn->prepare("SELECT COUNT(*) FROM messages WHERE destinataire_id = ? AND lu = 0");
    $stmt1->bind_param("i", $user_id);
    $stmt1->execute();
    $stmt1->bind_result($response['messages_non_lus']);
    $stmt1->fetch();
    $stmt1->close();

    // ✅ Réservations en attente (prestataire uniquement)
    if ($type === 'prestataire') {
        $stmt2 = $conn->prepare("SELECT COUNT(*) FROM reservations r JOIN services s ON r.service_id = s.id WHERE s.prestataire_id = ? AND r.statut = 'en attente'");
        $stmt2->bind_param("i", $user_id);
        $stmt2->execute();
        $stmt2->bind_result($response['reservations_en_attente']);
        $stmt2->fetch();
        $stmt2->close();
    }
}

echo json_encode($response);
